<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMarketSellDebug Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d28/a05881.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMarketSellDebug Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4327d795bb42bc9ffc4cf4530e1b1064"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d28/a05881.html#a4327d795bb42bc9ffc4cf4530e1b1064">ExpansionMarketSellDebug</a> (<a class="el" href="../../d1/dc8/a05877.html">ExpansionMarketSell</a> marketSell=null, <a class="el" href="../../d9/d63/a05297.html">ExpansionMarketTraderZone</a> zone=null)</td></tr>
<tr class="separator:a4327d795bb42bc9ffc4cf4530e1b1064"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab949b9ce59db2f955a41485f46b3ed40"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d28/a05881.html#ab949b9ce59db2f955a41485f46b3ed40">GetItemClassNames</a> ()</td></tr>
<tr class="separator:ab949b9ce59db2f955a41485f46b3ed40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8df0cc1b49823e9571146b7373a65f96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d28/a05881.html#a8df0cc1b49823e9571146b7373a65f96">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a8df0cc1b49823e9571146b7373a65f96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad368f286baf2b114f8c13ea8864c2717"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d28/a05881.html#ad368f286baf2b114f8c13ea8864c2717">OnReceive</a> (ParamsReadContext ctx, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> mainItemClassName)</td></tr>
<tr class="separator:ad368f286baf2b114f8c13ea8864c2717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace3cc952eb60b54d4760e9f364a1b511"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d28/a05881.html#ace3cc952eb60b54d4760e9f364a1b511">Dump</a> ()</td></tr>
<tr class="separator:ace3cc952eb60b54d4760e9f364a1b511"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8cccfdd974b5ba52a7f38f2a75d9cc98"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d28/a05881.html#a8cccfdd974b5ba52a7f38f2a75d9cc98">m_ZoneSellPricePercent</a></td></tr>
<tr class="separator:a8cccfdd974b5ba52a7f38f2a75d9cc98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8593905931ca44730580052d6b989546"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../d3/d19/a01847.html#acdf4560c870c02b1e10285ebc2114ea9">ExpansionMarketSellDebugItem</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d28/a05881.html#a8593905931ca44730580052d6b989546">m_Items</a></td></tr>
<tr class="separator:a8593905931ca44730580052d6b989546"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00154">154</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4327d795bb42bc9ffc4cf4530e1b1064" name="a4327d795bb42bc9ffc4cf4530e1b1064"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4327d795bb42bc9ffc4cf4530e1b1064">&#9670;&#160;</a></span>ExpansionMarketSellDebug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketSellDebug::ExpansionMarketSellDebug </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/dc8/a05877.html">ExpansionMarketSell</a>&#160;</td>
          <td class="paramname"><em>marketSell</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d63/a05297.html">ExpansionMarketTraderZone</a>&#160;</td>
          <td class="paramname"><em>zone</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00159">159</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ace3cc952eb60b54d4760e9f364a1b511" name="ace3cc952eb60b54d4760e9f364a1b511"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace3cc952eb60b54d4760e9f364a1b511">&#9670;&#160;</a></span>Dump()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketSellDebug::Dump </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00218">218</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>

</div>
</div>
<a id="ab949b9ce59db2f955a41485f46b3ed40" name="ab949b9ce59db2f955a41485f46b3ed40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab949b9ce59db2f955a41485f46b3ed40">&#9670;&#160;</a></span>GetItemClassNames()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray ExpansionMarketSellDebug::GetItemClassNames </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00175">175</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>

</div>
</div>
<a id="ad368f286baf2b114f8c13ea8864c2717" name="ad368f286baf2b114f8c13ea8864c2717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad368f286baf2b114f8c13ea8864c2717">&#9670;&#160;</a></span>OnReceive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketSellDebug::OnReceive </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>mainItemClassName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00201">201</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>

</div>
</div>
<a id="a8df0cc1b49823e9571146b7373a65f96" name="a8df0cc1b49823e9571146b7373a65f96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8df0cc1b49823e9571146b7373a65f96">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketSellDebug::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00187">187</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8593905931ca44730580052d6b989546" name="a8593905931ca44730580052d6b989546"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8593905931ca44730580052d6b989546">&#9670;&#160;</a></span>m_Items</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../d3/d19/a01847.html#acdf4560c870c02b1e10285ebc2114ea9">ExpansionMarketSellDebugItem</a>&gt; ExpansionMarketSellDebug::m_Items</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00157">157</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>

</div>
</div>
<a id="a8cccfdd974b5ba52a7f38f2a75d9cc98" name="a8cccfdd974b5ba52a7f38f2a75d9cc98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cccfdd974b5ba52a7f38f2a75d9cc98">&#9670;&#160;</a></span>m_ZoneSellPricePercent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionMarketSellDebug::m_ZoneSellPricePercent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/a01847_source.html#l00156">156</a> of file <a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/4_world/dayzexpansion_market/systems/market/<a class="el" href="../../d3/d19/a01847_source.html">expansionmarketsellitem.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d28/a05881.html">ExpansionMarketSellDebug</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
